# openapi-client
Some apis from coder for coders

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.1
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import openapi_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import openapi_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import openapi_client
from pprint import pprint
from openapi_client.api import audience_api
from openapi_client.model.inline_object1 import InlineObject1
from openapi_client.model.inline_object2 import InlineObject2
from openapi_client.model.inline_response2001 import InlineResponse2001
from openapi_client.model.inline_response2001_response import InlineResponse2001Response
from openapi_client.model.inline_response2002 import InlineResponse2002
from openapi_client.model.inline_response2003 import InlineResponse2003
# Defining the host is optional and defaults to https://api.redguy.ru
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "https://api.redguy.ru"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization: bearerAuth
configuration = openapi_client.Configuration(
    access_token = 'YOUR_BEARER_TOKEN'
)


# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = audience_api.AudienceApi(api_client)
    id = 1 # int | Audience service id (optional)

    try:
        api_response = api_instance.v1_audience_service_delete(id=id)
        pprint(api_response)
    except openapi_client.ApiException as e:
        print("Exception when calling AudienceApi->v1_audience_service_delete: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.redguy.ru*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AudienceApi* | [**v1_audience_service_delete**](docs/AudienceApi.md#v1_audience_service_delete) | **DELETE** /v1/audience/service | 
*AudienceApi* | [**v1_audience_service_get**](docs/AudienceApi.md#v1_audience_service_get) | **GET** /v1/audience/service | 
*AudienceApi* | [**v1_audience_service_post**](docs/AudienceApi.md#v1_audience_service_post) | **POST** /v1/audience/service | 
*AudienceApi* | [**v1_audience_services_get**](docs/AudienceApi.md#v1_audience_services_get) | **GET** /v1/audience/services | 
*AudienceApi* | [**v1_audience_stats_get**](docs/AudienceApi.md#v1_audience_stats_get) | **GET** /v1/audience/stats | 
*AudienceApi* | [**v1_audience_user_get**](docs/AudienceApi.md#v1_audience_user_get) | **GET** /v1/audience/user | 
*AudienceApi* | [**v1_audience_user_post**](docs/AudienceApi.md#v1_audience_user_post) | **POST** /v1/audience/user | 
*AudienceApi* | [**v1_audience_users_get**](docs/AudienceApi.md#v1_audience_users_get) | **GET** /v1/audience/users | 
*TextApi* | [**v1_text_parse_post**](docs/TextApi.md#v1_text_parse_post) | **POST** /v1/text/parse | 


## Documentation For Models

 - [InlineObject](docs/InlineObject.md)
 - [InlineObject1](docs/InlineObject1.md)
 - [InlineObject2](docs/InlineObject2.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2001Response](docs/InlineResponse2001Response.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2002Response](docs/InlineResponse2002Response.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse200Response](docs/InlineResponse200Response.md)
 - [InlineResponse200ResponseValue](docs/InlineResponse200ResponseValue.md)
 - [InlineResponse200ResponseValueValues](docs/InlineResponse200ResponseValueValues.md)
 - [V1AudienceUserResponse](docs/V1AudienceUserResponse.md)


## Documentation For Authorization


## bearerAuth

- **Type**: Bearer authentication


## Author




## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in openapi_client.apis and openapi_client.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from openapi_client.api.default_api import DefaultApi`
- `from openapi_client.model.pet import Pet`

Solution 1:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import openapi_client
from openapi_client.apis import *
from openapi_client.models import *
```

